// NVector.cpp
//
// Version	1.0
// Date		06.07.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#include "../AocsData/NVector.h"
#include "../AocsData/AocsData.h"
#include "../GeneralInclude/ClassId.h"
#include "../GeneralInclude/BasicTypes.h"
#include "../AocsEvent/EventTypeId.h"

// -------------------------------------------------------------------
// Define static variables
int NVector::tmImageLength[NTMFORMATS];

// -------------------------------------------------------------------

NVector::NVector(int n)				
{
	setClassId(ID_NVECTOR);		

	numberOfElements = n;			// number of elements in the vector

	format = nVector ;				// assign AOCS data format

	initialize();					// see comment at the method definition

	reset();						// see comment on AocsData constructor
	resetConfiguration();			// see comment on AocsData constructor
}

