// AocsUnitTestSuite.h 
//
// Version	1.0
// Date		27.05.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// Test suite for the telemetry management framelet
// -------------------------------------------------------------------

// Perform tests for unit framelet and write results to outFile
void aocsUnitTestMaster(FILE* outFile);

// Check the MACS TC controller component
bool aocsUnitTest_1();

// Test the prototype FSS object 
bool aocsUnitTest_2();

// Test the data conversion mechanism for raw bus data on the RW object
bool aocsUnitTest_3();

// Test the bias and scaling factor compensation for the FSS object
bool aocsUnitTest_4();

// Test the GYR object
bool aocsUnitTest_5();

// Test the SAP object
bool aocsUnitTest_6();

// Test the Torque-to-thruster object
bool aocsUnitTest_7();

// Test the unit trigger object
bool aocsUnitTest_8(DummyAocsClock* clock);
