// RwPrototype.h
//
// Version	1.0
// Date		30.05.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// Reaction Wheel Class for the AOCS Prototype
// -------------------------------------------------------------------

#ifndef RwPrototypeH
#define RwPrototypeH

// -------------------------------------------------------------------

#include "../AocsUnit/AocsUnit.h"

// -------------------------------------------------------------------

class RwPrototype : public AocsUnit {

	unsigned short address;
	unsigned short sa_speed;
	unsigned short sa_torque;

public:

	RwPrototype(unsigned short address,
					unsigned short subAddressSpeed,
					   unsigned short subAddressTorque);

	virtual void initialize();

	virtual void acquireFunctionalData();

	virtual void sendFunctionalData();
};

// -------------------------------------------------------------------
#endif