// TestCaseAocsObject.cpp
//
// Version	1.0
// Date		06.01.01
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#include "TestCaseAocsObject.h"
#include "../../GeneralInclude/ClassId.h"
#include "../../GeneralInclude/Constants.h"
#include "../../AocsEvent/FailureEventRepository.h"
#include "../../BasicObjects/AocsObject.h"

// -------------------------------------------------------------------

bool TestCaseAocsObject::setUpTestCase() {

	// Configure static part of AocsObject
	failureEvtRep.setRepositorySize(4);	
	AocsObject::setFailureEventRepository(&failureEvtRep);		
	AocsObject::setAocsClock(&aocsClock);

	return INITIALIZATION_SUCCESS;
}
