// TestCaseRootObject_1.h
//
// Version	1.0
// Date		02.01.01
// Author	A. Pasetti
//
// -------------------------------------------------------------------
//
// Test case to verify that instance identifiers are obtained
// by successively incrementing a counter.
//
// -------------------------------------------------------------------

#ifndef TestCaseRootObject_1H
#define TestCaseRootObject_1H

#include "TestCaseRootObject.h"

// -------------------------------------------------------------------

class TestCaseRootObject_1 : public TestCaseRootObject {

public :

	TestCaseRootObject_1();

	virtual bool setUpTestCase()
		{ return INITIALIZATION_SUCCESS; }

	virtual void runTestCase();
	
	virtual bool shutDownTestCase()
		{ return SHUTDOWN_SUCCESS; }
};

// -------------------------------------------------------------------

#endif