// ControllerModeManager.h
//
// Version  1.0
// Date     03.11.00
// Author   T. Brown
//
// -------------------------------------------------------------------
// This is an interface class.
//
// -------------------------------------------------------------------

#ifndef ControllerModeManagerH
#define ControllerModeManagerH

// -------------------------------------------------------------------

#include "../GeneralInclude/ForwardDeclarations.h"
#include "../ControllerManagement/Controller.h"

// -------------------------------------------------------------------

class ControllerModeManager {

public :

    virtual void loadControllerList
        (int mode, ObjectListTemplate<Controller>* controllerList)=0;

    virtual ObjectListTemplate<Controller>* getControllerList()=0;
};

// -------------------------------------------------------------------
#endif // ControllerModeManagerH
