// CyclingControllerModeManager.cpp
//
// Version  1.0
// Date     04.11.2000
// Author   T. Brown
//
// -------------------------------------------------------------------

#include "../ControllerManagement/CyclingControllerModeManager.h"
#include "../GeneralInclude/ClassId.h"

// -------------------------------------------------------------------

CyclingControllerModeManager::CyclingControllerModeManager(int m,int d,int n):
                                                    CyclingModeManager(m,d,n)
{
    setClassId(ID_CYCLINGCONTROLLERMODEMANAGER);
}

// -------------------------------------------------------------------

void CyclingControllerModeManager::loadControllerList(int mode,
                                                      ObjectListTemplate<Controller>* controllerList)
{
    loadImplementer(mode,0,(RootObject*)controllerList);
}

// -------------------------------------------------------------------

ObjectListTemplate<Controller>* CyclingControllerModeManager::getControllerList()
{
    return (ObjectListTemplate<Controller>*)getImplementer(0);
}
