// SystemReset.h
//
// Version	1.0
// Date		10.05.00
// Author	A. Pasetti
//

#ifndef SystemResetH
#define SystemResetH

// -------------------------------------------------------------------
// System reset recovery action.
// A call to doRecovery causes a system reset to be performed (all the
// objects derived from AocsObject are reset).
// -------------------------------------------------------------------

#include "../FailureRecovery/RecoveryAction.h"

// -------------------------------------------------------------------

class SystemReset : public RecoveryAction {

public :

	SystemReset();

	virtual void doRecovery();

};

// -------------------------------------------------------------------
#endif