// ClassId.h 
//
// Version	1.0
// Date		13.01.00
// Author	A. Pasetti/T.Brown
//
// -------------------------------------------------------------------
//
// Definition of class identifiers
//
// -------------------------------------------------------------------

#ifndef ClassIdH
#define ClassIdH

// -------------------------------------------------------------------

#define ID_ROOTOBJECT								1
#define	ID_AOCSOBJECT								2
#define	ID_DUMMYAOCSOBJECT							3
#define ID_SYSTEMMANAGER							4

#define	ID_DUMMYAOCSCLOCK							10
#define	ID_RTEMSAOCSCLOCK							11

#define	ID_AOCSEVENT								20
#define	ID_FAILUREEVENT								21
#define	ID_CONFIGURATIONEVENT						22
#define	ID_CHANGEEVENT								23
#define	ID_MODEEVENT								24
#define	ID_SYSTEMEVENT								25
#define ID_RECONFIGURATIONEVENT						26
#define ID_TELECOMMANDEVENT							27
#define ID_MANOEUVREEVENT							28

#define	ID_EVENTREPOSITORY							40
#define	ID_FAILUREEVENTREPOSITORY					41
#define	ID_CONFIGURATIONEVENTREPOSITORY				42
#define	ID_CHANGEEVENTREPOSITORY					43
#define	ID_MODEEVENTREPOSITORY						44
#define	ID_SYSTEMEVENTREPOSITORY					45
#define ID_RECONFIGURATIONEVENTREPOSITORY			46
#define	ID_TELECOMMANDEVENTREPOSITORY				47
#define ID_MANOEUVREEVENTREPOSITORY					48
#define ID_RECOVERYEVENTREPOSITORY					49

#define	ID_DATAITEMREAD								50
#define	ID_DATAITEMWRITE							51

#define	ID_AOCSDATA									60
#define	ID_SCALAR									61
#define	ID_TWOEULERANGLES							62
#define	ID_THREEEULERANGLES							63
#define ID_NVECTOR									64

#define	ID_CONTROLCHANNELBLOCK						70
#define	ID_CONTROLCHANNELSUPERBLOCK					71
#define ID_P_BLOCK									72
#define ID_I_BLOCK									73
#define ID_D_BLOCK									74
#define ID_TWOBYTWOMATRIX							75
#define ID_XMATHUCBBLOCK							76
#define ID_XMATHUCBPIDBLOCK							77
#define ID_ABSTRACTCONTROLCHANNELBLOCK				78
#define ID_RAWBUSDATACONVERTERIN					79
#define ID_RAWBUSDATACONVERTEROUT					80
#define ID_BIASSCALECOMPENSATOR						81
#define ID_TORQUETOTHRUSTERPROTOTYPE				82
#define ID_DIFFERENCEBLOCK                          83
#define ID_PASSTHRUBLOCK                            84
#define ID_ADDERBLOCK                               85
#define ID_LIMITBLOCK                               86
#define ID_SPLITTERBLOCK							87

#define ID_OBJECTLIST								90
#define ID_OBJECTLISTTEMPLATE						91

#define	ID_AOCSDATAPOOL								100
#define ID_ATTITUDEDATAPOOL							101

#define ID_SIMPLECHANGE								110
#define ID_DELTACHANGE								111
#define ID_OUTOFRANGECHANGE							112
#define ID_PROPERTY									113

#define ID_MODEMANAGER								120
#define ID_CYCLINGMODEMANAGER						121
#define ID_FOLLOWERMODEMANAGER						122
#define ID_MODECHANGEACTION							123
#define ID_NULLMODECHANGEACTION						124

#define ID_AOCSMISSIONMODEMODEMANAGER				128

#define ID_TESTTELEMETRYSTREAM						130
#define ID_TELEMETRYMANAGER							131
#define ID_DMATELEMETRYSTREAM						132
#define ID_MEMORYSECTION							133
#define ID_CYCLINGTELEMETRYMODEMANAGER				134

#define ID_MONITORINGCHECK							140
#define ID_FAILUREDETECTIONMANAGER					141
#define ID_FOLLOWERFAILUREDETECTIONMODEMANAGER		142

#define ID_RECOVERYACTION							150
#define ID_SYSTEMRESET								151
#define ID_NULLRECOVERYACTION						152
#define ID_OBJECTRESET								153
#define ID_MODECHANGE								154
#define ID_RECONFIGURATION							155
#define ID_SOFTWAREREBOOT							156
#define ID_RECOVERYSTRATEGY							157
#define ID_SYSTEMRESETONTOOMANYFAILURES				158
#define ID_SYSTEMRESETONCONFIGURATIONERROR			159
#define ID_LOCALRECOVERYACTIONS						160
#define ID_FAILURERECOVERYMANAGER					161
#define ID_FOLLOWERFAILURERECOVERYMODEMANAGER		162

#define ID_MACSTCCONTROLLER							170
#define ID_FSSPROTOTYPE								171
#define ID_GYRPROTOTYPE								172
#define ID_RWPROTOTYPE								173
#define ID_SAPPROTOTYPE								174
#define ID_FOLLOWERUNITTRIGGERMODEMANAGER			175
#define ID_TRIGGERLIST								176
#define ID_UNITTRIGGER								177
#define ID_TORQUINGTHRUSTERS						178

#define ID_CONFIGURATIONSTATE						180
#define ID_BASICUNITRECONFIGURER					181
#define ID_RECONFIGURERHELPER						182
#define ID_RWSET									183

#define ID_TELECOMMAND								190
#define ID_TRANSACTIONTELECOMMAND					191
#define ID_MODECHANGETELECOMMAND					192
#define ID_RECONFIGURETELECOMMAND					193
#define ID_MANOEUVRETELECOMMAND						214
#define ID_TELEMETRYFORMATTELECOMMAND				195
#define ID_MODECHANGETRANSACTIONTELECOMMAND			196
#define ID_RECONFIGURETRANSACTIONTELECOMMAND		197
#define ID_TELEMETRYFORMATTRANSACTIONTELECOMMAND	198
#define ID_TELECOMMANDMANAGER						199
#define ID_DMATELECOMMANDLOADER						200
#define ID_VSDMATELECOMMANDLOADER					201
#define ID_ERC32DMATELECOMMANDLOADER				202

#define ID_MANOEUVRE								210
#define ID_DUMMY_MANOEUVRE							211
#define ID_ATTITUDESLEW								212
#define ID_MANOEUVREMANAGER							213

#define ID_CONTROLLERMANAGER                        220
#define ID_CONTROLLER                               221
#define ID_CYCLINGCONTROLLERMODEMANAGER             222
#define ID_FOLLOWERCONTROLLERMODEMANAGER            223

// -------------------------------------------------------------------
#endif