// Constants.h
//
// Version	1.0
// Date		14.01.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#ifndef ConstantsH
#define ConstantsH

// -------------------------------------------------------------------

#define TBD					99		// placeholder for TBD entries

#define NTMFORMATS			4		// number of telemetry formats

#define LARGE_TIME			9999	// large AocsTime value

#define LARGE_REAL			9999	// large Real value

#define MAX_INSTANCE_ID		10000	// maximum number of objects in AOCS framework

#define TC_INT_STACK_SIZE	20		// Size of internal int stack used by TC manager

#define TC_REAL_STACK_SIZE	20		// Size of internal float stack used by TC manager

#define NULL				0

// -------------------------------------------------------------------
#endif
