// ForwardDeclarations.h
//
// Version	1.0
// Date		17.01.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// Forward class declarations
// -------------------------------------------------------------------

#ifndef ForwardDeclarationsH
#define ForwardDeclarationsH

class AbstractControlChannel;
class AocsClock;
class AocsData;
class AocsEvent;
class AocsMissionModeManager;
class AocsObject;
class AocsUnit;
class AocsUnitFunctional;
class AocsUnitHardware;
class AocsUnitHousekeeping;
class AttitudeDataPool;
class AttitudeSlew;
class AttitudeSlewTelecommand;
class BasicUnitReconfigurer;
class ChangeEvent;
class ChangeEventRepository;
class ChangeObject;
class ConfigurationEvent;
class ConfigurationEventRepository;
class ConfigurationState;
class ConsistencyCheckable;
class Controller;
class ControllerManager;
class ControllerModeManager;
class DataItemRead;
class DataItemWrite;
class DmaTelemetryStream;
class FailureDetectionManager;
class FailureDetectionModeManager;
class FailureEvent;
class FailureEventRepository;
class FailureRecoveryAction;
class FailureRecoveryManager;
class FailureRecoveryModeManager;
class FollowerUnitTriggerModeManager;
class FunctionalTriggerList;
class MacsTcController;
class Manoeuvre;
class ManoeuvreEvent;
class ManoeuvreEventRepository;
class ManoeuvreManager;
class ManoeuvreMonitor;
class ModeChangeAction;
class ModeEvent;
class ModeEventRepository;
class ModeManager;
class MonitoredManoeuvre;
class MonitoredManoeuvreList;
class MonitoringCheck;
class NullModeChangeAction;
class NullRecoveryAction;
class NVector;
class Property;
class PropertyMonitor;
class Reconfigurable;
class ReconfigurationEvent;
class ReconfigurationEventRepository;
class ReconfigurerHelper;
class RecoveryAction;
class RecoveryEvent;
class RecoveryEventRepository;
class RecoveryStrategy;
class RootObject;
class Scalar;
class SystemEvent;
class SystemEventRepository;
class SystemManager;
class Telecommand;
class TelecommandLoader;
class TelecommandEvent;
class TelecommandEventRepository;
class TelecommandManager;
class Telemeterable;
class TelemetryManager;
class TelemetryModeManager;
class TelemetryStream;
class TorquingThrusters;
class TransactionTelecommand;
class ThreeEulerAngles;
class TriggerList;
class TwoEulerAngles;
class UnitTrigger;
class UnitTriggerModeManager;

template <class ObjectType> class ObjectListTemplate;

// -------------------------------------------------------------------
#endif
