// TestCase.cpp
//
// Version	1.0
// Date		20.12.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#include "TestCase.h"
#include <string.h>

// -------------------------------------------------------------------

TestCase::TestCase(int id, char* name) {

	testId = id;

	int nameLength = strlen(name);
	testName = new char[nameLength];
	strcpy(testName,name);

	testResultFlag = false;
}

// -------------------------------------------------------------------

void TestCase::setTestResult(bool outcome, char* msg) {

	// Check that method is called for the first time
	if (testResultFlag)
	{	testOutcome = false;
		char* msg = "INVALID TEST -- SetTestResult called more than once"; 
		int msgLength = strlen(msg);
		failureMessage = new char[msgLength];
		strcpy(failureMessage,msg);
	}

	testOutcome = outcome;

	if (testOutcome)
		failureMessage = NULL;
	else
	{	int msgLength = strlen(msg);
		failureMessage = new char[msgLength];
		strcpy(failureMessage,msg);
	}
}
