// ModeManagementTestSuite.h 
//
// Version	1.0
// Date		04.04.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// Test suite for the mode management framelet
// -------------------------------------------------------------------

// Perform tests for mode management framelet and write results to outFile
void modeManagementTestMaster(FILE* outFile);

// Check the configuration operations on mode managers
bool modeManagementTest_1();

// Check the mode control operations
bool modeManagementTest_2();

// Check the follower mode manager and the cyclical mode manager
bool modeManagementTest_3();

// Check the AOCS mission mode manager
bool modeManagementTest_4();
