// ChangeObject.h 
//
// Version	1.0
// Date		29.03.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
//
// Abstract class for change objects
//
// -------------------------------------------------------------------

#ifndef ChangeObjectH
#define ChangeObjectH

// -------------------------------------------------------------------

#include "../GeneralInclude/ForwardDeclarations.h"
#include "../GeneralInclude/BasicTypes.h"
#include "../BasicObjects/AocsObject.h"

// -------------------------------------------------------------------

class ChangeObject : public AocsObject {

protected :
	
	Real referenceValue;

public :

	virtual bool checkValue(Real value)=0;
	Real getReferenceValue()
		{ return referenceValue; }
	void setReferenceValue(Real newReferenceValue)
		{ referenceValue=newReferenceValue; }

};

// -------------------------------------------------------------------
#endif