// AocsClock.h
//
// Version	1.0
// Date		14.01.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// This is an interface class
// -------------------------------------------------------------------

#ifndef AocsClockH
#define AocsClockH

// -------------------------------------------------------------------

#include "../GeneralInclude/BasicTypes.h"

// -------------------------------------------------------------------

class AocsClock {

public :

	virtual AocsTime getTime()=0;

	virtual AocsCycle getCycle()=0;

	virtual void synchronizeWithSystemTime()=0;

};

// -------------------------------------------------------------------
#endif