// ReconfigurationManagementTestSuite.h 
//
// Version	1.0
// Date		28.06.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// Test suite for the reconfiguration management framelet
// -------------------------------------------------------------------

// Perform tests for unit framelet and write results to outFile
void reconfigurationManagementTestMaster(FILE* outFile);

// Check the reconfigurer helper object
bool reconfigurationManagementTest_1();

// Check the basic unit reconfigurer object
bool reconfigurationManagementTest_2();

// Check the state registration mechanism
bool reconfigurationManagementTest_3();

// Check the rw reconfiguration manager
bool reconfigurationManagementTest_4(DummyAocsClock* aocsClock);
