// ReconfigureTelecommand.h
//
// Version	1.0
// Date		05.08.00
// Author	A. Pasetti

#ifndef ReconfigureTelecommandH
#define ReconfigureTelecommandH

// -------------------------------------------------------------------
// Telecommands to command a reconfiguration to a reconfiguration 
// manager.
// -------------------------------------------------------------------

#include "../GeneralInclude/ForwardDeclarations.h"
#include "../GeneralInclude/BasicTypes.h"
#include "../TelecommandManagement/Telecommand.h"

// -------------------------------------------------------------------

class ReconfigureTelecommand : public Telecommand {

	Reconfigurable* reconfigurationManager;

public :

	ReconfigureTelecommand(AocsTime timeTag, Reconfigurable* m);

	virtual EventType execute();
};

// -------------------------------------------------------------------
#endif