// ReconfigureTransactionTelecommand.h
//
// Version	1.0
// Date		05.08.00
// Author	A. Pasetti

#ifndef ReconfigureTransactionTelecommandH
#define ReconfigureTransactionTelecommandH

// -------------------------------------------------------------------
// Transaction telecommands to command a reconfiguration to a 
// reconfiguration manager.
// -------------------------------------------------------------------

#include "../GeneralInclude/BasicTypes.h"
#include "../TelecommandManagement/TransactionTelecommand.h"

// -------------------------------------------------------------------

class ReconfigureTransactionTelecommand : public TransactionTelecommand {

	Reconfigurable* reconfigurationManager;

public :

	ReconfigureTransactionTelecommand(AocsTime timeTag, Reconfigurable* m);

	virtual EventType execute();

	virtual EventType unExecute();
};

// -------------------------------------------------------------------
#endif