// Telemeterable.h
//
// Version	1.0
// Date		13.01.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// This is an interface class
// -------------------------------------------------------------------

#ifndef TelemeterableH
#define TelemeterableH

// -------------------------------------------------------------------

#include "../GeneralInclude/ForwardDeclarations.h"
#include "../GeneralInclude/BasicTypes.h"

// -------------------------------------------------------------------

class Telemeterable {

public:

	virtual void writeToTelemetry(TelemetryStream* stream)=0;
	virtual void setTelemetryFormat(TelemetryFormat newFormat)=0;
	virtual TelemetryFormat getTelemetryFormat()=0;
	virtual int getTelemetryImageLength()=0;

};

// -------------------------------------------------------------------
#endif