// TelemetryManagementTestSuite.h 
//
// Version	1.0
// Date		07.04.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// Test suite for the telemetry management framelet
// -------------------------------------------------------------------

// Perform tests for telemetry management framelet and write results to outFile
void telemetryManagementTestMaster(FILE* outFile);

// Check the telemetry image lengths
bool telemetryManagementTest_1();

// Check the telemetry manager with the test TM stream
bool telemetryManagementTest_2();

// Check the telemetry manager with the DMA TM stream
// Argument 1: output file reference
bool telemetryManagementTest_3(FILE* out);

// Check the memory section mechanism
// Argument 1: output file reference
bool telemetryManagementTest_4(FILE* out);