// TestCaseAocsData_1.cpp
//
// Version	1.0
// Date		07.01.01
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#include "TestCaseAocsData_1.h"
#include "../../GeneralInclude/ClassId.h"
#include "../../GeneralInclude/Constants.h"
#include "../../AocsData/AocsData.h"
#include "../../AocsData/Scalar.h"
#include "../../FailureRecovery/NullRecoveryAction.h"

// -------------------------------------------------------------------
TestCaseAocsData_1::TestCaseAocsData_1():
	TestCaseGenericSetUp(ID_AOCSDATA*10+1,"TestCaseAocsData_1") {
		return;
}

// -------------------------------------------------------------------

void TestCaseAocsData_1::runTestCase() {

	Scalar s;	// any AocsData

	// Plug a recovery action into the AocsData
	NullRecoveryAction nra;
	s.setRecoveryAction(&nra);

	if (!s.isConfigured())
	{	setTestResult(TEST_FAILURE, "Incorrect AocsData configuration");
		return;
	}

	// If this point is reached, test was successful
	setTestResult(TEST_SUCCESS,NULL);
	return;
}
