// DataItemRead.cpp
//
// Version	1.0
// Date		10.02.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#include "../GeneralInclude/Include.h"
#include "../BasicObjects/RootObject.h"
#include "DataItemRead.h"

// -------------------------------------------------------------------
// Default constructor.

DataItemRead::DataItemRead()				// should never be called
{
	setClassId(ID_DATAITEMREAD);			// assign class identifier

	datum = NULL;
}

// -------------------------------------------------------------------

DataItemRead::DataItemRead(Real* d)
{
	setClassId(ID_DATAITEMREAD);			// assign class identifier

	datum = d;
}

// -------------------------------------------------------------------

bool DataItemRead::isDataItemReadConfigured()
{
	return (datum!=NULL);
}