// TwoEulerAngles.cpp
//
// Version	1.0
// Date		10.02.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#include "../AocsData/TwoEulerAngles.h"
#include "../GeneralInclude/ClassId.h"

// -------------------------------------------------------------------
// Define static variables
int TwoEulerAngles::tmImageLength[NTMFORMATS];

// -------------------------------------------------------------------

TwoEulerAngles::TwoEulerAngles()				
{
	setClassId(ID_TWOEULERANGLES);			// assign class identifier

	format = twoEulerAngles;				// assign AOCS data format

	initialize();					// see comment at the method definition

	reset();						// see comment on AocsData constructor
	resetConfiguration();			// see comment on AocsData constructor
}

