// SystemEvent.h
//
// Version	1.0
// Date		13.04.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// Class for system events (system events have the same structure as the
// basic type AocsEvent)
//
// -------------------------------------------------------------------

#ifndef SystemEventH
#define SystemEventH

// -------------------------------------------------------------------

#include "../GeneralInclude/ForwardDeclarations.h"
#include "../GeneralInclude/BasicTypes.h"
#include "../AocsEvent/AocsEvent.h"

// -------------------------------------------------------------------

class SystemEvent : public AocsEvent {

	static ClassId classId;

public :

	SystemEvent();

};

// -------------------------------------------------------------------
#endif
