// TestCaseRootObject_2.cpp
//
// Version	1.0
// Date		02.01.01
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#include "TestCaseRootObject_2.h"
#include "../../GeneralInclude/ClassId.h"
#define NULL 0

// -------------------------------------------------------------------
TestCaseRootObject_2::TestCaseRootObject_2():
	TestCaseRootObject(ID_ROOTOBJECT*10+2,"TestCaseRootObject_2") {
		return;
}

// -------------------------------------------------------------------
// Objects r1, r2 and r3 are created in the base class.

void TestCaseRootObject_2::runTestCase() {

	if ( r1.getClassId() != ID_ROOTOBJECT )
	{	setTestResult(TEST_FAILURE, "Incorrect setting of class identifier");
		return;
	}

	if ( r2.getClassId() != r1.getClassId() )
	{	setTestResult(TEST_FAILURE, "Incorrect setting of class identifier");
		return;
	}

	if ( r3.getClassId() != r2.getClassId() )
	{	setTestResult(TEST_FAILURE, "Incorrect setting of class identifier");
		return;
	}

	setTestResult(TEST_SUCCESS,NULL);
	return;
}
