// DummyAocsObject.h
//
// Version	1.0
// Date		07.02.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// Dummy AocsObject object. 
//
// This object adds test methods to the base class AocsObject
// -------------------------------------------------------------------

#ifndef DummyAocsObjectH
#define DummyAocsObjectH

// -------------------------------------------------------------------

class DummyAocsObject : public AocsObject {

	static int tmImageLength[NTMFORMATS];
	static ClassId classId;

public :

	DummyAocsObject();

	// Return false if the AOCS time is not t and the AOCS cycle is not c
	bool testClock(AocsTime t, AocsCycle c);

};

// -------------------------------------------------------------------
#endif