// FailureRecoveryModeManager.h
//
// Version	1.0
// Date		12.05.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------
// This is an interface class.
//
// -------------------------------------------------------------------

#ifndef FailureRecoveryModeManagerH
#define FailureRecoveryModeManagerH

// -------------------------------------------------------------------

#include "../GeneralInclude/ForwardDeclarations.h"

// -------------------------------------------------------------------

class FailureRecoveryModeManager {

public :

	virtual void loadRecoveryStrategy
	  (int mode, RecoveryStrategy* recoveryStrategy)=0;

	virtual RecoveryStrategy* getRecoveryStrategy()=0;

};

// -------------------------------------------------------------------
#endif
