// SoftwareReboot.h
//
// Version	1.0
// Date		10.05.00
// Author	A. Pasetti
//

#ifndef SoftwareRebootH
#define SoftwareRebootH

// -------------------------------------------------------------------
// Software reboot recovery action.
// A call to doRecovery causes the AOCS software to be rebooted.
// -------------------------------------------------------------------

#include "../FailureRecovery/RecoveryAction.h"

// -------------------------------------------------------------------

class SoftwareReboot : public RecoveryAction {

public :

	SoftwareReboot();

	virtual void doRecovery();

};

// -------------------------------------------------------------------
#endif