// SystemReset.cpp
//
// Version	1.0
// Date		10.05.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#include "../FailureRecovery/SystemReset.h"
#include "../FailureRecovery/RecoveryAction.h"
#include "../GeneralInclude/ClassId.h"
#include "../SystemManagement/SystemManager.h"

// -------------------------------------------------------------------

SystemReset::SystemReset()
{
	setClassId(ID_SYSTEMRESET);		
}

// -------------------------------------------------------------------

void SystemReset::doRecovery()
{
	if ( isEnabled() )
		AocsObject::getSystemManager()->systemReset();

	RecoveryAction::doRecovery();
}	
	
