// TestCaseXmathUcbBlock_2.h
//
// Version	1.0
// Date		27.01.01
// Author	A. Pasetti
//
// -------------------------------------------------------------------
//
// Test case to check UCB block 'integratortest'
//
// -------------------------------------------------------------------

#ifndef TestCaseXmathUcbBlock_2H
#define TestCaseXmathUcbBlock_2H

#include "../../GeneralUtilities/TestCaseGenericSetUp.h"
#include "../../Xmath/Include.h"

// -------------------------------------------------------------------
// Declare global variables from UCB routines
extern "C" VAR_FLOAT integratorinit;
extern "C" VAR_FLOAT integratorgain;
extern "C" VAR_FLOAT starttime;
extern "C" VAR_FLOAT slope;

// -------------------------------------------------------------------
// Declare UCB routines
extern "C" void integratortest_ucbhook(int*,Real*,Real*,int*,Real*,Real*,
			int*,Real*,int*,Real*,int*);

// -------------------------------------------------------------------

class TestCaseXmathUcbBlock_2 : public TestCaseGenericSetUp {

public :

	TestCaseXmathUcbBlock_2();

	virtual void runTestCase();
};

// -------------------------------------------------------------------

#endif