// ModeChangeTelecommand.h
//
// Version	1.0
// Date		05.08.00
// Author	A. Pasetti

#ifndef ModeChangeTelecommandH
#define ModeChangeTelecommandH

// -------------------------------------------------------------------
// Telecommand to change the operational mode of a mode manager.
// -------------------------------------------------------------------

#include "../GeneralInclude/ForwardDeclarations.h"
#include "../GeneralInclude/BasicTypes.h"
#include "../TelecommandManagement/Telecommand.h"

// -------------------------------------------------------------------

class ModeChangeTelecommand : public Telecommand {

	ModeManager* modeManager;
	unsigned char newMode;

public :

	ModeChangeTelecommand(AocsTime timeTag, ModeManager* m, int n);

	virtual EventType execute();
};

// -------------------------------------------------------------------
#endif