// TelemetryFormatTransactionTelecommand.h
//
// Version	1.0
// Date		07.08.00
// Author	A. Pasetti

#ifndef TelemetryFormatTransactionTelecommandH
#define TelemetryFormatTransactionTelecommandH

// -------------------------------------------------------------------
// Telecommand Transaction to change the operational mode of a mode 
// manager.
// -------------------------------------------------------------------

#include "../GeneralInclude/BasicTypes.h"
#include "../TelecommandManagement/TransactionTelecommand.h"

// -------------------------------------------------------------------

class TelemetryFormatTransactionTelecommand : public TransactionTelecommand {

	Telemeterable* telemeterable;
	TelemetryFormat newFormat;

public :

	TelemetryFormatTransactionTelecommand(AocsTime timeTag, 
											Telemeterable* t, 
											  TelemetryFormat n);

	virtual EventType execute();

	virtual EventType unExecute();
};

// -------------------------------------------------------------------
#endif