// CyclingTelemetryModeManager.cpp
//
// Version	1.0
// Date		07.04.00
// Author	A. Pasetti
//
// -------------------------------------------------------------------

#include "../TelemetryManagement/CyclingTelemetryModeManager.h"
#include "../GeneralInclude/ClassId.h"

// -------------------------------------------------------------------

CyclingTelemetryModeManager::CyclingTelemetryModeManager(int m,int d,int n):
													CyclingModeManager(m,d,n)
{
	setClassId(ID_CYCLINGTELEMETRYMODEMANAGER);		
}

// -------------------------------------------------------------------

void CyclingTelemetryModeManager::loadTelemetryList(int mode, ObjectListTemplate<Telemeterable>* tmList)
{
	loadImplementer(mode,0,(RootObject*)tmList);
}

// -------------------------------------------------------------------

ObjectListTemplate<Telemeterable>* CyclingTelemetryModeManager::getTelemetryList()
{ 
	return (ObjectListTemplate<Telemeterable>*)getImplementer(0);
}
