

/****************************************************************************
|                   AutoCode/C (TM) Code Generator
|            INTEGRATED SYSTEMS INC.,   SUNNYVALE, CALIFORNIA
*****************************************************************************
rtf filename           : /a/estwns/users/esther/pasetti/cpp_tpl/firsttest.rtf
Filename               : /a/estwns/users/esther/pasetti/cpp_tpl/firsttest.c
Dac filename           : cpp_sdk.dac
Generated on           : Fri Mar  3 12:25:47 2000
Dac file created on    : Fri Mar  3 12:25:47 2000

                AutoCode Procedure Software Development Kit
*/



#include <stdio.h>
#include <math.h>
#include "sa_sys.h"
#include "sa_defn.h"
#include "sa_types.h"
#include "sa_math.h"
#include "sa_user.h"
#include "sa_utils.h"
#include "sa_time.h"
#include "sa_fuzzy.h"

#include "/a/estwns/users/esther/pasetti/cpp_tpl/firsttest.h"




/*** System Data ***/

/******* Structure to drive disconnected input/output. *******/








#define EPSILON                      1.49011611938476562E-08
#define EPS                          (4.0 * EPSILON)
#define ABSTOL                       EPSILON
#define XREMAP                       1








/******** Procedures' declarations ********/


 void firsttest(
          struct _firsttest_u *U
          , struct _firsttest_y *Y
          , struct _firsttest_s *S
          , struct _firsttest_info *I
          );
          



/******** Procedures' definitions ********/
static
/******* Procedure: firsttest *******/
void firsttest(   struct _firsttest_u *U
   ,struct _firsttest_y *Y
   ,struct _firsttest_s *S
   ,struct _firsttest_info *I
)
{
      RT_INTEGER *iinfo = &I->iinfo[0];
      RT_FLOAT *rinfo = &I->rinfo[0];
      RT_INTEGER INIT = iinfo[1];

      /***** Current and Next States Pointers. *****/

      struct _firsttest_ps *X = &S->firsttest_ps[S->firsttest_x];
      struct _firsttest_ps *XD = &S->firsttest_ps[1-S->firsttest_x];

      const RT_DURATION TSAMP   = rinfo[1];

      /***** Local Block Outputs. *****/

      RT_FLOAT Delayoutput;

      /***** Algorithmic Local Variables. *****/

      RT_FLOAT Xtemp;
      RT_INTEGER i;
      RT_INTEGER j;
      RT_INTEGER k;

      /******* Initialization. *******/

      if( INIT ) {
         X->Delay_S1 = 0.0;
         XD->Delay_S1 = 0.0;
         Delayoutput = 99.0;
      }


      /***** Output Update. *****/
      /* ----------------------------  Num - Den Coeffs. */
      /* {firsttest.Delay.2} */
      if (!INIT) {
         Delayoutput = X->Delay_S1; 
      }
      /* ----------------------------  Summer */
      /* {firsttest.Summer.12} */
      Y->Summer_1 = Delayoutput - U->firsttest_2; 

      /***** State Update. *****/
      /* ----------------------------  Num - Den Coeffs. */
      /* {firsttest.Delay.2} */
      if (INIT && XREMAP) {
         Xtemp = Delayoutput; 
         X->Delay_S1 = Xtemp; 
      }
      XD->Delay_S1 = U->firsttest_1; 


      iinfo[1] = 0;
EXEC_ERROR: return;
}




/* *********************************************************************
   *********************************************************************
   *********************************************************************
*/

/////////////
////////////
/// firsttest_proxy
///
///

firsttest_proxy::firsttest_proxy()
{
   
   void *theInfo[10];
   
   m_procdata.firsttest_i.iinfo[0] = 0;
   m_procdata.firsttest_i.iinfo[1] = 1;
   m_procdata.firsttest_i.iinfo[2] = 1;
   m_procdata.firsttest_i.iinfo[3] = 1;
   
   m_procdata.firsttest_s_s.firsttest_x = 0;
   
   m_procdata.firsttest_i.rinfo[0] = 0.0;   /* CURRENT TIME? */
   m_procdata.firsttest_i.rinfo[1] = 1.0 / (RT_FLOAT)10.0; /*Sample interval (sec)*/
   m_procdata.firsttest_i.rinfo[2] = 0.0;   /* Skew (sec)*/
   m_procdata.firsttest_i.rinfo[3] = 0.0;   /* not applicable */
   m_procdata.firsttest_i.rinfo[4] = 0.0;   /* not applicable */
   
   theInfo[0] = (void*)&m_procdata.firsttest_i;
      
   
}

RT_INTEGER firsttest_proxy::Execute(
                    struct _firsttest_u *U,
                    struct _firsttest_y *Y,
                    RT_FLOAT TIME)
                    
{ 
   /* -------------- Procedure Super Block: firsttest */
   m_procdata.firsttest_i.rinfo[0] = TIME;
   firsttest(U, Y, &m_procdata.firsttest_s_s, &m_procdata.firsttest_i);
   m_procdata.firsttest_s_s.firsttest_x = 1 - m_procdata.firsttest_s_s.firsttest_x;
   
   return m_procdata.firsttest_i.iinfo[0];
   
}







