/****************************************************************************
|                   AutoCode/C (TM) Code Generator
|            INTEGRATED SYSTEMS INC.,   SUNNYVALE, CALIFORNIA
*****************************************************************************
rtf filename           : /a/estwns/users/esther/pasetti/cpp_tpl/integratortest.rtf
Filename               : /a/estwns/users/esther/pasetti/cpp_tpl/integratortest.h
Dac filename           : cpp_sdk.dac
Generated on           : Fri Mar  3 11:19:33 2000
Dac file created on    : Fri Mar  3 11:19:33 2000

                AutoCode Procedure Software Development Kit

Procedure Name                   Inputs  Outputs  INFO  States
--------------------------------------------------------------
integrator                       YES     YES      YES   YES

*/

#ifndef _TOPLEVEL_INTEGRATOR_H_
#define _TOPLEVEL_INTEGRATOR_H_

#include "sa_sys.h"
#include "sa_types.h"



/******* Procedure: integrator *******/

/***** Inputs type declaration. *****/
struct _integrator_u {
   RT_FLOAT integrator_1;
};


/***** Outputs type declaration. *****/
struct _integrator_y {
   RT_FLOAT integrator_2_1;
};


/***** Private States type declaration. *****/
struct _integrator_ps {
   RT_FLOAT integrator_2_S1;
};


/***** States type declaration. *****/
struct _integrator_s {
   struct _integrator_ps integrator_ps[2];
   RT_INTEGER integrator_x;
};


/***** Info type declaration. *****/
struct _integrator_info {
   RT_INTEGER iinfo[5];
   RT_FLOAT rinfo[5];
   VAR_FLOAT *integratorgain;
   VAR_FLOAT *integratorinit;
};







// /////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////
// /////////////////////////////////////////////////////////////

//
//
//  CLASS: integrator_proxy
//
//
class integrator_proxy
{

/////
///// methods
/////
public:

    
    /////// Default Constructor
    //
    integrator_proxy();
    
    
    //Function: Execute
    //
    // Abstract: Execute the procedure
    //
    // Parameters: Procedure's input and output variables
    //             Current time may be needed as well.
    //             Interface varies for each procedure.
    //
    // Returns: error status, 0 = no error, 
    //          else see errors in sa_defn.h
    //
    //
    RT_INTEGER Execute(
                    struct _integrator_u *U,
                    struct _integrator_y *Y,
                    RT_FLOAT TIME);
                    

/////
/////  private data
/////
private:

    struct _integrator_ext {
         struct _integrator_info integrator_i;
         struct _integrator_s    integrator_s_s;
    } m_procdata;
    

};




#endif

